{pkgs ? import <nixpkgs> {}}: let
  elmInputs = [
    pkgs.elmPackages.elm
    pkgs.elmPackages.elm-format
    pkgs.esbuild
  ];
  haskellInputs = [
    pkgs.stack
  ];
  cliTools = [
    pkgs.httpie
    pkgs.ungoogled-chromium
  ];
in
  pkgs.mkShell {
    nativeBuildInputs = [
      elmInputs
      haskellInputs
      cliTools
    ];
  }
